Subnets

Get an available subnet

get

Get the value of "id" and "cidr" of an available subnet in the inventory. These values are used to create a new subnet.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
vpc_idstring · uuidRequired

The unique ID of a specified VPC.

Example: a224d558-7b63-4706-ab9d-b2ed68477fa6
Responses
chevron-right
200

A list of available subnets.

application/json
idstringOptional

The unique ID of the subnet.

cidrstringOptional

CIDR block of the available subnet.

get
/api/v2/vmware/vpc/{vpc_id}/hpc/subnets/available

List all subnets

get

Returns all of the subnets that have been created within a specified VPC.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
vpc_idstring · uuidRequired

The unique ID of a specified VPC.

Query parameters
pageintegerOptional

The page number for pagination.

Default: 1
page_sizeinteger · max: 100Optional

The number of items per page.

Default: 10
Responses
chevron-right
200

A list of subnets.

application/json
totalintegerOptional

The number of subnets within a VPC.

get
/api/v2/vmware/vpc/{vpc_id}/hpc/subnets

Create a subnet

post

A CIDR range is allocated automatically. A network ACL is required and auto-created with a subnet. By default, only outbound traffic from the Bare Metal GPU server to the internet will be allowed. The quota of the subnet is equal to the quota of the Bare Metal GPU server per Tenant.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
vpc_idstring · uuidRequired

The unique ID of a specified VPC.

Body
namestringRequired

A unique name for your new subnet.

idstringRequired

Unique ID of an available subnet.

cidrstringRequired

CIDR block of an available subnet.

network_acl_namestringRequired

A unique name for your new Network ACL.

descriptionstring · nullableOptional

Description of the subnet.

Responses
post
/api/v2/vmware/vpc/{vpc_id}/hpc/subnets

Update a subnet

put

Update the name and description of a subnet.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
vpc_idstring · uuidRequired

The unique ID of a specified VPC.

network_idstring · uuidRequired

The ID of the subnet to update.

Body
namestringOptional

The new name of the subnet that you want to update.

descriptionstringOptional

The new name of the description that you want to update.

Responses
chevron-right
200

Subnet updated successfully.

application/json
messagestringOptional
dataobjectOptional
put
/api/v2/vmware/vpc/{vpc_id}/hpc/subnets/{network_id}/

Delete a subnet

delete

You cannot delete a subnet that is associated with other resources.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
vpc_idstring · uuidRequired

The unique ID of a specified VPC.

network_idstring · uuidRequired

The unique ID of the subnet to delete.

Responses
chevron-right
200

Subnet deleted successfully.

application/json
messagestringOptional
delete
/api/v2/vmware/vpc/{vpc_id}/hpc/subnets/{network_id}/

Last updated

Was this helpful?